Delete backup
curl --request DELETE \
--url https://api.example.com/api/v1/databases/{id}/backups/{filename}import requests
url = "https://api.example.com/api/v1/databases/{id}/backups/{filename}"
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://api.example.com/api/v1/databases/{id}/backups/{filename}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Backups
Delete backup
Delete one backup file for a database.
DELETE
/
api
/
v1
/
databases
/
{id}
/
backups
/
{filename}
Delete backup
Deletes a single backup file permanently.
Path parameters
| Parameter | Type | Description |
|---|---|---|
id | uuid | Database ID |
filename | string | Backup filename in YYYYMMDD_HHMMSS.sql.gz format |
Example
curl -X DELETE \
-H "Authorization: Bearer dbh_your_api_key_here" \
https://dbhost.app/api/v1/databases/550e8400-e29b-41d4-a716-446655440000/backups/20260326_222551.sql.gz
Response
204 No Content
Errors
| Status | Code | Description |
|---|---|---|
| 400 | INVALID_BACKUP_FILENAME | Filename is not in the expected backup format |
| 401 | UNAUTHORIZED | Missing or invalid API key |
| 403 | FORBIDDEN | Caller can view backups but cannot manage them |
| 404 | DATABASE_NOT_FOUND | Database doesn’t exist, isn’t owned by this user, or isn’t in scope for this key |
| 404 | BACKUP_NOT_FOUND | Backup file does not exist |
| 503 | AGENT_ROUTE_UNAVAILABLE | Backup deletion is unavailable until the configured agent is updated |
| 500 | AGENT_ERROR | The VPS agent failed to delete the backup |
⌘I